"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const Command_1 = __importDefault(require("@sudobot/core/Command"));
const Logger_1 = require("@sudobot/utils/Logger");
class NekoCommand extends Command_1.default {
    constructor() {
        super(...arguments);
        this.name = "neko";
        this.validationRules = [];
        this.permissions = [];
        this.description = "Fetch a random neko image";
    }
    async execute(message) {
        await this.deferIfInteraction(message);
        try {
            const response = await axios_1.default.get("https://nekos.best/api/v2/neko");
            if (response.status < 200 || response.status >= 300)
                throw new Error("Invalid status code");
            await this.deferredReply(message, {
                files: [
                    {
                        attachment: response.data.results[0].url
                    }
                ]
            });
        }
        catch (e) {
            (0, Logger_1.logError)(e);
            await this.error(message, "Failed to fetch a neko image");
        }
    }
}
exports.default = NekoCommand;
